diff --git a/server/src/main/java/cz/zcu/yamanager/dto/FullUserProfile.java b/server/src/main/java/cz/zcu/yamanager/dto/FullUserProfile.java
index d8b61bc..091aff8 100644
--- a/server/src/main/java/cz/zcu/yamanager/dto/FullUserProfile.java
+++ b/server/src/main/java/cz/zcu/yamanager/dto/FullUserProfile.java
@@ -1,107 +1,262 @@
 package cz.zcu.yamanager.dto;
 
-
 import java.time.LocalDateTime;
 
+/**
+ * The messenger class {@code FullUserProfile} holds all informations about a user which is logged to the application.
+ * This class is used to communicate with a frontend.
+ */
 public class FullUserProfile {
-
+    /**
+     * The user's ID.
+     */
     private Long id;
+
+    /**
+     * The user's first name.
+     */
     private String firstName;
+
+    /**
+     * The user's last name.
+     */
     private String lastName;
+
+    /**
+     * The URL of a user's photo.
+     */
     private String photo;
+
+    /**
+     * The number of user's remaining hours of an overtime.
+     */
     private Float vacationCount;
-    private Integer sickdayCount;
-    private Integer takenSickdayCount;
+
+    /**
+     * The number of user's sick days available during a year.
+     */
+    private Integer sickDayCount;
+
+    /**
+     * The number of user's taken sick days.
+     */
+    private Integer takenSickDayCount;
+
+    /**
+     * The user's authorization status.
+     */
     private Status status;
+
+    /**
+     * The user's role.
+     */
     private UserRole role;
+
+    /**
+     * The date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     */
     private LocalDateTime notification;
+
+    /**
+     * The user's email address.
+     */
     private String email;
 
+    /**
+     * Returns the user's email address.
+     *
+     * @return the user's email address
+     */
     public String getEmail() {
-        return email;
+        return this.email;
     }
 
-    public void setEmail(String email) {
+    /**
+     * Replaces the user's email address with the new given value.
+     *
+     * @param email the new email address
+     */
+    public void setEmail(final String email) {
         this.email = email;
     }
 
+    /**
+     * Returns the user's ID.
+     *
+     * @return the user's ID
+     */
     public Long getId() {
-        return id;
+        return this.id;
     }
 
-    public void setId(Long id) {
+    /**
+     * Replaces the user's ID with the specified value.
+     *
+     * @param id the new user's ID
+     */
+    public void setId(final Long id) {
         this.id = id;
     }
 
+    /**
+     * Returns the user's first name.
+     *
+     * @return the user's first name
+     */
     public String getFirstName() {
-        return firstName;
+        return this.firstName;
     }
 
-    public Integer getTakenSickdayCount() {
-        return takenSickdayCount;
+    /**
+     * Returns the number of user's taken sick days.
+     *
+     * @return the number of user's taken sick days
+     */
+    public Integer getTakenSickDayCount() {
+        return this.takenSickDayCount;
     }
 
-    public void setTakenSickdayCount(Integer takenSickdayCount) {
-        this.takenSickdayCount = takenSickdayCount;
+    /**
+     * Replaces the number of user's taken sick days with the new value.
+     *
+     * @param takenSickDayCount the new number of taken sick days
+     */
+    public void setTakenSickDayCount(final Integer takenSickDayCount) {
+        this.takenSickDayCount = takenSickDayCount;
     }
 
-    public void setFirstName(String firstName) {
+    /**
+     * Replaces the user's first name with the new specified value.
+     *
+     * @param firstName the new first name
+     */
+    public void setFirstName(final String firstName) {
         this.firstName = firstName;
     }
 
+    /**
+     * Returns the user's last name.
+     *
+     * @return the user's last name
+     */
     public String getLastName() {
-        return lastName;
+        return this.lastName;
     }
 
-    public void setLastName(String lastName) {
+    /**
+     * Replaces the user's last name with the given one.
+     *
+     * @param lastName the new last name
+     */
+    public void setLastName(final String lastName) {
         this.lastName = lastName;
     }
 
+    /**
+     * Returns the URL of a user's photo.
+     *
+     * @return the URL of the user's photo
+     */
     public String getPhoto() {
-        return photo;
+        return this.photo;
     }
 
-    public void setPhoto(String photo) {
+    /**
+     * Replaces the URL of a user's photo with the given link.
+     *
+     * @param photo the new URL of the user's photo
+     */
+    public void setPhoto(final String photo) {
         this.photo = photo;
     }
 
+    /**
+     * Returns the number of user's remaining hours of an overtime.
+     *
+     * @return the number of user's remaining hours of the overtime
+     */
     public Float getVacationCount() {
-        return vacationCount;
+        return this.vacationCount;
     }
 
-    public void setVacationCount(Float vacationCount) {
+    /**
+     * Replaces the number of user's remaining hours of an overtime with the specified value.
+     *
+     * @param vacationCount the new number of remaining hours of the overtime.
+     */
+    public void setVacationCount(final Float vacationCount) {
         this.vacationCount = vacationCount;
     }
 
-    public Integer getSickdayCount() {
-        return sickdayCount;
+    /**
+     * Returns the number of user's sick days available during a year.
+     *
+     * @return the number of user's sick days available during the year
+     */
+    public Integer getSickDayCount() {
+        return this.sickDayCount;
     }
 
-    public void setSickdayCount(Integer sickdayCount) {
-        this.sickdayCount = sickdayCount;
+    /**
+     * Replaces the number of user's sick days available during a year with the new value.
+     *
+     * @param sickDayCount the new number of sick days available during the year
+     */
+    public void setSickDayCount(final Integer sickDayCount) {
+        this.sickDayCount = sickDayCount;
     }
 
+    /**
+     * Returns the user's authorization status.
+     *
+     * @return the user's authorization status
+     */
     public Status getStatus() {
-        return status;
+        return this.status;
     }
 
-    public void setStatus(Status status) {
+    /**
+     * Replaces the authorization status with the handed value.
+     *
+     * @param status the new authorization status
+     */
+    public void setStatus(final Status status) {
         this.status = status;
     }
 
+    /**
+     * Returns the user's role.
+     *
+     * @return the user's role
+     */
     public UserRole getRole() {
-        return role;
+        return this.role;
     }
 
-    public void setRole(UserRole role) {
+    /**
+     * Replaces the user's role with the new provided value.
+     *
+     * @param role the new role
+     */
+    public void setRole(final UserRole role) {
         this.role = role;
     }
 
+    /**
+     * Returns the date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     *
+     * @return the date and time
+     */
     public LocalDateTime getNotification() {
-        return notification;
+        return this.notification;
     }
 
-    public void setNotification(LocalDateTime notification) {
+    /**
+     * Replaces the date and time of sending an email warning about an incoming reset of remaining overtimes and sick days with the given value.
+     *
+     * @param notification the new date and time
+     */
+    public void setNotification(final LocalDateTime notification) {
         this.notification = notification;
     }
 }
\ No newline at end of file
diff --git a/server/src/main/java/cz/zcu/yamanager/dto/RequestType.java b/server/src/main/java/cz/zcu/yamanager/dto/RequestType.java
index 0c5a7ad..5f9425c 100644
--- a/server/src/main/java/cz/zcu/yamanager/dto/RequestType.java
+++ b/server/src/main/java/cz/zcu/yamanager/dto/RequestType.java
@@ -1,13 +1,31 @@
 package cz.zcu.yamanager.dto;
 
-public enum  RequestType {
-    VACATION, AUTHORIZATION;
+/**
+ * The enum {@code RequestType} represents different types of a request.
+ */
+public enum RequestType {
+    /**
+     * The request for a vacation.
+     */
+    VACATION,
 
-    public static RequestType getType(String type) {
+    /**
+     * The request for an authorization.
+     */
+    AUTHORIZATION;
+
+    /**
+     * Creates the type of a request from the provided string.
+     * The method is case insensitive. If the given string does not correspond to any values of the enum the method returns null.
+     *
+     * @param type the string representation of the type of a request
+     * @return the value of the enum or null
+     */
+    public static RequestType getType(final String type) {
         if (type == null || type.isEmpty()) return null;
         try {
-            return valueOf(type.toUpperCase());
-        } catch (IllegalArgumentException e) {
+            return RequestType.valueOf(type.toUpperCase());
+        } catch (final IllegalArgumentException e) {
             return null;
         }
     }
diff --git a/server/src/main/java/cz/zcu/yamanager/dto/Status.java b/server/src/main/java/cz/zcu/yamanager/dto/Status.java
index 9cef5b8..0cc6085 100644
--- a/server/src/main/java/cz/zcu/yamanager/dto/Status.java
+++ b/server/src/main/java/cz/zcu/yamanager/dto/Status.java
@@ -1,13 +1,36 @@
 package cz.zcu.yamanager.dto;
 
+/**
+ * The enum {@code Status} represents states of authorization and vacation approval process.
+ */
 public enum Status {
-    ACCEPTED, PENDING, REJECTED;
+    /**
+     * The subject of a request is accepted.
+     */
+    ACCEPTED,
 
-    public static Status getStatus(String status) {
+    /**
+     * The subject of a request is waiting for an answer.
+     */
+    PENDING,
+
+    /**
+     * The subject of a request is rejected.
+     */
+    REJECTED;
+
+    /**
+     * Creates the status from the provided string.
+     * The method is case insensitive. If the given string does not correspond to any values of the enum the method returns null.
+     *
+     * @param status the string representation of the status
+     * @return the value of the enum or null
+     */
+    public static Status getStatus(final String status) {
         if (status == null || status.isEmpty()) return null;
         try {
-            return valueOf(status.toUpperCase());
-        } catch (IllegalArgumentException e) {
+            return Status.valueOf(status.toUpperCase());
+        } catch (final IllegalArgumentException e) {
             return null;
         }
     }
diff --git a/server/src/main/java/cz/zcu/yamanager/dto/UserRole.java b/server/src/main/java/cz/zcu/yamanager/dto/UserRole.java
index df15673..e1b7f9a 100644
--- a/server/src/main/java/cz/zcu/yamanager/dto/UserRole.java
+++ b/server/src/main/java/cz/zcu/yamanager/dto/UserRole.java
@@ -1,13 +1,31 @@
 package cz.zcu.yamanager.dto;
 
-public enum  UserRole {
-    EMPLOYEE, EMPLOYER;
+/**
+ * The enum {@code UserRole} represents different roles of a user.
+ */
+public enum UserRole {
+    /**
+     * The user is an employee.
+     */
+    EMPLOYEE,
 
-    public static UserRole getUserRole(String role) {
+    /**
+     * The user is na employer. This user has more rights than an employee.
+     */
+    EMPLOYER;
+
+    /**
+     * Creates the role from the provided string.
+     * The method is case insensitive. If the given string does not correspond to any values of the enum the method returns null.
+     *
+     * @param role the string representation of the role
+     * @return the value of the enum or null
+     */
+    public static UserRole getUserRole(final String role) {
         if (role == null || role.isEmpty()) return null;
         try {
-            return valueOf(role.toUpperCase());
-        } catch (IllegalArgumentException e) {
+            return UserRole.valueOf(role.toUpperCase());
+        } catch (final IllegalArgumentException e) {
             return null;
         }
     }
diff --git a/server/src/main/java/cz/zcu/yamanager/dto/UserSettings.java b/server/src/main/java/cz/zcu/yamanager/dto/UserSettings.java
index d28540f..919cb27 100644
--- a/server/src/main/java/cz/zcu/yamanager/dto/UserSettings.java
+++ b/server/src/main/java/cz/zcu/yamanager/dto/UserSettings.java
@@ -2,51 +2,123 @@ package cz.zcu.yamanager.dto;
 
 import java.time.LocalDateTime;
 
+/**
+ * The messenger class {@code UserSettings} is used to change user settings by an employer.
+ * This class is used in communication with a frontend.
+ */
 public class UserSettings {
-
+    /**
+     * The user's ID.
+     */
     private Long id;
+
+    /**
+     * The number of user's remaining hours of an overtime.
+     */
     private Float vacationCount;
-    private Integer sickdayCount;
+
+    /**
+     * The number of user's sick days available during a year.
+     */
+    private Integer sickDayCount;
+
+    /**
+     * The user's role.
+     */
     private UserRole role;
+
+    /**
+     * The date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     */
     private LocalDateTime notification;
 
+    /**
+     * Returns the user's ID.
+     *
+     * @return the user's ID
+     */
     public Long getId() {
-        return id;
+        return this.id;
     }
 
-    public void setId(Long id) {
+    /**
+     * Replaces the user's ID with the specified value.
+     *
+     * @param id the new user's ID
+     */
+    public void setId(final Long id) {
         this.id = id;
     }
 
+    /**
+     * Returns the number of user's remaining hours of an overtime.
+     *
+     * @return the number of user's remaining hours of the overtime
+     */
     public Float getVacationCount() {
-        return vacationCount;
+        return this.vacationCount;
     }
 
-    public void setVacationCount(Float vacationCount) {
+    /**
+     * Replaces the number of user's remaining hours of an overtime with the specified value.
+     *
+     * @param vacationCount the new number of remaining hours of the overtime.
+     */
+    public void setVacationCount(final Float vacationCount) {
         this.vacationCount = vacationCount;
     }
 
-    public Integer getSickdayCount() {
-        return sickdayCount;
+    /**
+     * Returns the number of user's sick days available during a year.
+     *
+     * @return the number of user's sick days available during the year
+     */
+    public Integer getSickDayCount() {
+        return this.sickDayCount;
     }
 
-    public void setSickdayCount(Integer sickdayCount) {
-        this.sickdayCount = sickdayCount;
+    /**
+     * Replaces the number of user's sick days available during a year with the new value.
+     *
+     * @param sickDayCount the new number of sick days available during the year
+     */
+    public void setSickDayCount(final Integer sickDayCount) {
+        this.sickDayCount = sickDayCount;
     }
 
+    /**
+     * Returns the user's role.
+     *
+     * @return the user's role
+     */
     public UserRole getRole() {
-        return role;
+        return this.role;
     }
 
-    public void setRole(UserRole role) {
+    /**
+     * Replaces the user's role with the new provided value.
+     *
+     * @param role the new role
+     */
+    public void setRole(final UserRole role) {
         this.role = role;
     }
 
+    /**
+     * Returns the date and time of sending an email warning about an incoming reset of remaining overtimes and sick days.
+     *
+     * @return the date and time
+     */
     public LocalDateTime getNotification() {
-        return notification;
+        return this.notification;
     }
 
-    public void setNotification(LocalDateTime notification) {
+    /**
+     * Replaces the date and time of sending an email warning about an incoming reset of remaining overtimes and sick days with the given value.
+     *
+     * @param notification the new date and time
+     */
+    public void setNotification(final LocalDateTime notification) {
         this.notification = notification;
     }
 }
diff --git a/server/src/main/java/cz/zcu/yamanager/dto/VacationDay.java b/server/src/main/java/cz/zcu/yamanager/dto/VacationDay.java
index 9f65d43..2e2503e 100644
--- a/server/src/main/java/cz/zcu/yamanager/dto/VacationDay.java
+++ b/server/src/main/java/cz/zcu/yamanager/dto/VacationDay.java
@@ -3,60 +3,146 @@ package cz.zcu.yamanager.dto;
 import java.time.LocalDate;
 import java.time.LocalTime;
 
+/**
+ * The messenger class {@code VacationDay} holds informations of an overtime or a sick day taken by a user.
+ * This class is used in communication with a frontend.
+ */
 public class VacationDay {
-
+    /**
+     * The ID of this vacation.
+     */
     private Long id;
+
+    /**
+     * The date of this vacation.
+     */
     private LocalDate date;
+
+    /**
+     * The starting time of this vacation.
+     */
     private LocalTime from;
+
+    /**
+     * The ending time of this vacation.
+     */
     private LocalTime to;
+
+    /**
+     * The type of this vacation.
+     */
     private VacationType type;
+
+    /**
+     * The approval status of this vacation.
+     */
     private Status status;
 
+    /**
+     * Returns the ID of this vacation.
+     *
+     * @return the ID of this vacation
+     */
     public Long getId() {
-        return id;
+        return this.id;
     }
 
-    public void setId(Long id) {
+    /**
+     * Replaces the ID of this vacation with the specified value.
+     *
+     * @param id the new ID
+     */
+    public void setId(final Long id) {
         this.id = id;
     }
 
+    /**
+     * Returns the date of this vacation.
+     *
+     * @return the date of this vacation
+     */
     public LocalDate getDate() {
-        return date;
+        return this.date;
     }
 
-    public void setDate(LocalDate date) {
+    /**
+     * Replaces the date of this vacation with the specified date.
+     *
+     * @param date the new date
+     */
+    public void setDate(final LocalDate date) {
         this.date = date;
     }
 
+    /**
+     * Returns the starting time of this vacation.
+     *
+     * @return the starting time of this vacation
+     */
     public LocalTime getFrom() {
-        return from;
+        return this.from;
     }
 
-    public void setFrom(LocalTime from) {
+    /**
+     * Replaces the starting time of this vacation with the given time.
+     *
+     * @param from the new starting time
+     */
+    public void setFrom(final LocalTime from) {
         this.from = from;
     }
 
+    /**
+     * Returns the ending time of this vacation.
+     *
+     * @return the ending time of this vacation
+     */
     public LocalTime getTo() {
-        return to;
+        return this.to;
     }
 
-    public void setTo(LocalTime to) {
+    /**
+     * Replaces the ending time of this vacation with the provided time.
+     *
+     * @param to the new ending time
+     */
+    public void setTo(final LocalTime to) {
         this.to = to;
     }
 
+    /**
+     * Returns the type of this vacation.
+     *
+     * @return the type of this vacation
+     */
     public VacationType getType() {
-        return type;
+        return this.type;
     }
 
-    public void setType(VacationType type) {
+    /**
+     * Replaces the type of this vacation with the handed type.
+     *
+     * @param type the new type
+     */
+    public void setType(final VacationType type) {
         this.type = type;
     }
 
+    /**
+     * Returns the approval status of this vacation.
+     *
+     * @return the approval status of this vacation
+     */
     public Status getStatus() {
-        return status;
+        return this.status;
     }
 
-    public void setStatus(Status status) {
+    /**
+     * Replaces the approval status of this vacation with the given value.
+     *
+     * @param status the new approval status
+     */
+    public void setStatus(final Status status) {
         this.status = status;
     }
 }
diff --git a/server/src/main/java/cz/zcu/yamanager/dto/VacationRequest.java b/server/src/main/java/cz/zcu/yamanager/dto/VacationRequest.java
index ecaad58..4afcf32 100644
--- a/server/src/main/java/cz/zcu/yamanager/dto/VacationRequest.java
+++ b/server/src/main/java/cz/zcu/yamanager/dto/VacationRequest.java
@@ -4,87 +4,216 @@ import java.time.LocalDate;
 import java.time.LocalDateTime;
 import java.time.LocalTime;
 
+/**
+ * An instance of the messenger class {@code VacationRequest} is just a different view of a user's vacation.
+ * It stores information relevant to the vacation which helps an employer to accept or reject the user's vacation.
+ * This class is used in a communication with a frontend.
+ */
 public class VacationRequest {
-
+    /**
+     * The ID of this vacation request.
+     */
     private Long id;
+
+    /**
+     * The user's first name.
+     */
     private String firstName;
+
+    /**
+     * The user's last name.
+     */
     private String lastName;
+
+    /**
+     * The date of this vacation request.
+     */
     private LocalDate date;
+
+    /**
+     * The starting time of this vacation request.
+     */
     private LocalTime from;
+
+    /**
+     * The ending time of this vacation request.
+     */
     private LocalTime to;
+
+    /**
+     * The type of this vacation request.
+     */
     private VacationType type;
+
+    /**
+     * The approval status of this vacation request.
+     */
     private Status status;
+
+    /**
+     * The date and time of a creation of this vacation request.
+     */
     private LocalDateTime timestamp;
 
+    /**
+     * Returns the ID of this vacation request.
+     *
+     * @return the ID of this vacation request
+     */
     public Long getId() {
-        return id;
+        return this.id;
     }
 
-    public void setId(Long id) {
+    /**
+     * Replaces the ID of this vacation request with the specified value.
+     *
+     * @param id the new ID
+     */
+    public void setId(final Long id) {
         this.id = id;
     }
 
+    /**
+     * Returns the user's first name.
+     *
+     * @return the user's first name
+     */
     public String getFirstName() {
-        return firstName;
+        return this.firstName;
     }
 
-    public void setFirstName(String firstName) {
+    /**
+     * Replaces the user's first name with the new specified value.
+     *
+     * @param firstName the new first name
+     */
+    public void setFirstName(final String firstName) {
         this.firstName = firstName;
     }
 
+    /**
+     * Returns the user's last name.
+     *
+     * @return the user's last name
+     */
     public String getLastName() {
-        return lastName;
+        return this.lastName;
     }
 
-    public void setLastName(String lastName) {
+    /**
+     * Replaces the user's last name with the given one.
+     *
+     * @param lastName the new last name
+     */
+    public void setLastName(final String lastName) {
         this.lastName = lastName;
     }
 
+    /**
+     * Returns the date of this vacation request.
+     *
+     * @return the date of this vacation request
+     */
     public LocalDate getDate() {
-        return date;
+        return this.date;
     }
 
-    public void setDate(LocalDate date) {
+    /**
+     * Replaces the date of this vacation request with the specified date.
+     *
+     * @param date the new date
+     */
+    public void setDate(final LocalDate date) {
         this.date = date;
     }
 
+    /**
+     * Returns the starting time of this vacation request.
+     *
+     * @return the starting time of this vacation request
+     */
     public LocalTime getFrom() {
-        return from;
+        return this.from;
     }
 
-    public void setFrom(LocalTime from) {
+    /**
+     * Replaces the starting time of this vacation request with the given time.
+     *
+     * @param from the new starting time
+     */
+    public void setFrom(final LocalTime from) {
         this.from = from;
     }
 
+    /**
+     * Returns the ending time of this vacation request.
+     *
+     * @return the ending time of this vacation request
+     */
     public LocalTime getTo() {
-        return to;
+        return this.to;
     }
 
-    public void setTo(LocalTime to) {
+    /**
+     * Replaces the ending time of this vacation request with the provided time.
+     *
+     * @param to the new ending time
+     */
+    public void setTo(final LocalTime to) {
         this.to = to;
     }
 
+    /**
+     * Returns the type of this vacation request.
+     *
+     * @return the type of this vacation request
+     */
     public VacationType getType() {
-        return type;
+        return this.type;
     }
 
-    public void setType(VacationType type) {
+    /**
+     * Replaces the type of this vacation request with the handed type.
+     *
+     * @param type the new type
+     */
+    public void setType(final VacationType type) {
         this.type = type;
     }
 
+    /**
+     * Returns the approval status of this vacation request.
+     *
+     * @return the approval status of this vacation request
+     */
     public Status getStatus() {
-        return status;
+        return this.status;
     }
 
-    public void setStatus(Status status) {
+    /**
+     * Replaces the approval status of this vacation request with the given value.
+     *
+     * @param status the new approval status
+     */
+    public void setStatus(final Status status) {
         this.status = status;
     }
 
+    /**
+     * Returns the date and time of a creation of this vacation request.
+     *
+     * @return the date and time of the creation of this vacation request
+     */
     public LocalDateTime getTimestamp() {
-        return timestamp;
+        return this.timestamp;
     }
 
-    public void setTimestamp(LocalDateTime timestamp) {
+    /**
+     * Replaces the date and time of a creation of this vacation request with the specified timestamp.
+     *
+     * @param timestamp the date and time of the creation of this vacation request
+     */
+    public void setTimestamp(final LocalDateTime timestamp) {
         this.timestamp = timestamp;
     }
 }
diff --git a/server/src/main/java/cz/zcu/yamanager/dto/VacationType.java b/server/src/main/java/cz/zcu/yamanager/dto/VacationType.java
index e3d5226..c8aed06 100644
--- a/server/src/main/java/cz/zcu/yamanager/dto/VacationType.java
+++ b/server/src/main/java/cz/zcu/yamanager/dto/VacationType.java
@@ -1,13 +1,31 @@
 package cz.zcu.yamanager.dto;
 
+/**
+ * The enum {@code VacationType} represents different types of a vacation.
+ */
 public enum VacationType {
-    SICKDAY, VACATION;
+    /**
+     * The vacation represents a sick day.
+     */
+    SICKDAY,
 
-    public static VacationType getVacationType(String type) {
+    /**
+     * The vacation represents an overtime.
+     */
+    VACATION;
+
+    /**
+     * Creates the type of a vacation from the provided string.
+     * The method is case insensitive. If the given string does not correspond to any values of the enum the method returns null.
+     *
+     * @param type the string representation of the type of a vacation
+     * @return the value of the enum or null
+     */
+    public static VacationType getVacationType(final String type) {
         if (type == null || type.isEmpty()) return null;
         try {
-            return valueOf(type.toUpperCase());
-        } catch (IllegalArgumentException e) {
+            return VacationType.valueOf(type.toUpperCase());
+        } catch (final IllegalArgumentException e) {
             return null;
         }
     }
